Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 16:23
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Samba File and Print Services for SMB/CIFS clients
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
Patriot


Joined: 15 Jan 2009
Posts: 734

PostPosted: Wed 16 Sep 2009, 20:48    Post_subject:  Samba File and Print Services for SMB/CIFS clients
Sub_title: samba-3.0.36 + samba-3.2.14 + samba 3.3.7
 

Hmmm .....

For some of you who wishes for newer samba packages, I've done a few pets for samba-3.0.36 and samba-3.2.14 ... The current samba-3.3.7 + samba-3.4.1 that I have, were built with additional libraries (fam, ldap, etc) and thus not suitable for direct samba upgrades ... Samba-3.3.7 have been rebuilt for standard puppy (but not samba-3.4.1) and has been posted ...

Please bear in mind that recent samba packages have substantially grown in size (and of course, functionality)..... For example, full samba-3.3.7 installation will need between 80-85MB of space. This is nearly doubled when compared to full samba-3.0.36 at about 47MB ...

I can verify that samba_clients packages v3.0.36, v.3.2.14 and v3.3.7 works well with pnethood. Please note that CUPS functionality is only verified to work with samba-3.0.36 ... Newer samba releases have not been verified for CUPS ...


Samba Binary List

1. Samba 3.0.36 complete pet (19.2MB)
[download]
description:
Probably the last security fix released for
Samba 3.0.x series. This pet contains binaries,
libraries, headers, man pages, swat pages, etc, etc.

2. Samba 3.0.36 client pet (1.5MB)
[download]
description:
A subset of the above samba-3.0.36 required
for pnethood functionality.

3. Samba 3.2.14 (almost) complete pet (21MB)
[download]
description:
Maintenance release for Samba 3.2.x series.
This pet contains binaries, libraries, headers,
man pages, etc but without swat pages.

4. Samba 3.2.14 swat pages pet (7.3MB)
[download]
description:
This pet contains swat pages for samba-3.2.14
(it had to be split into a separate pet).

5. Samba 3.2.14 client pet (2.2MB)
[download]
description:
A subset of the above samba-3.2.14 required
for pnethood functionality.

6. Samba 3.3.7 (almost) complete pet (24MB)
[download]
description:
Maintenance release for Samba 3.3.x series.
This pet contains binaries, libraries, headers,
man pages, etc but without swat pages.

7. Samba 3.3.7 swat pages pet (7.3MB)
[download]
description:
This pet contains swat pages for samba-3.3.7
(it had to be split into a separate pet).

8. Samba 3.3.7 client pet (2.4MB)
[download]
description:
A subset of the above samba-3.3.7 required
for pnethood functionality.


Final note: These sets of packages will not be maintained.


Rgds

._.

Edited_time_total
Back to top
View user's profile Send_private_message 
Patriot


Joined: 15 Jan 2009
Posts: 734

PostPosted: Wed 16 Sep 2009, 20:52    Post_subject:  

Q&A

Q1. How do I get SWAT up and running ?
A1. Usually by using xinetd super-server.

1. Get the attached xinetd pet below.
2. Install it and in a terminal, start it up (ie: /usr/sbin/xinetd) ...
3. Once you have it up and running, open your browser and point to http://localhost:901/ to see SWAT pages ...
4. It goes without saying that you'll need the complete samba package to have useful functionality with SWAT .....
5. If you want it auto-start on bootups, put /usr/sbin/xinetd last in rc.local or wherever approriate ...

Notes:
i. xinetd is minimally built for puppy local swat access with no libwrap.
ii. xinetd.conf is included in the pet. Backup yours if you have one.
iii. services configuration will be auto updated.
iv. You should know why you're running xinetd. It is provided as a convenience
as xinetd is not part of samba but a software of its own origin.
v. Absolutely no xinetd support whatsoever.



._.
xinetd-2.3.14-i486.pet
Description  xinetd super-server pet
pet

 Download 
Filename  xinetd-2.3.14-i486.pet 
Filesize  86.55 KB 
Downloaded  907 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
volkanos666

Joined: 02 Jul 2009
Posts: 20

PostPosted: Thu 24 Sep 2009, 21:18    Post_subject:  

Hi,

I try your samba package with swat, but I have a frugal installation, and I don't see the configuration file for enabling swat services (xinetd.d).


Any people have a idea?
Back to top
View user's profile Send_private_message 
HairyWill


Joined: 26 May 2006
Posts: 2949
Location: Southampton, UK

PostPosted: Wed 24 Feb 2010, 10:14    Post_subject:  

just to save anyone else the bother
I tried to use the 3.0.36 pet in puppy 4.3.1 and got the following in /var/log.smbd
Code:
[2010/02/24 14:07:47, 0] smbd/server.c:main(942)
  smbd version 3.0.36 started.
  Copyright Andrew Tridgell and the Samba Team 1992-2009
./smbd: symbol lookup error: ./smbd: undefined symbol: cupsLangDefault
most of the other pets listed have been deleted by the host.
_________________
Will
contribute: community website, screenshots, puplets, wiki, rss
Back to top
View user's profile Send_private_message 
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Tue 09 Aug 2011, 07:34    Post_subject:  

can i use this pet wth puppy 4.0 and 3.0
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9200
Location: Stratford, Ontario

PostPosted: Tue 09 Aug 2011, 07:39    Post_subject:  

Do you need a full-blown Samba package or do you just need the basic features? Read here. Samba-TNG should work in Puppy 4, but I don't know about Puppy 3.
Back to top
View user's profile Send_private_message 
sotris99

Joined: 03 Feb 2008
Posts: 69

PostPosted: Tue 09 Aug 2011, 07:54    Post_subject:  

@rcrsn51

it works on puppy 3.0 thank you very much rcrsn51 !
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0615s ][ Queries: 13 (0.0043s) ][ GZIP on ]